BP_FIND-BLAST-MATCHES(1p)

NAME
bp_find-blast-matches.pl - extract DNA sequences based on BLAST hits

SYNOPSIS
bp_find-blast-matches.pl [-h -e -p -5 -n -o -3 -header] -blast <BLAST_FILE> -fasta <FASTA_FILE>

OPTIONS

  Mandatory:

-blast
    BLAST output file to read from. The alignment should use the file specified by '-fasta' option ideally

-fasta
    FASTA file to read from. This is where the sequence will be extracted from

  Optional:

-h  Displays this help message

-e  Maximum e-value for matches (0.01 by default)

-p  Number of base pairs of 5' region to be included with the sequence

-5  Number of base pairs of 5' region only, excluding the regular sequence

-3  Number of base pairs of 3' region only, excluding the regular sequence

-n  Number of top hits to display, starting with the best hit

-o  Exact match to display (this option can't be used in conjunction with '-n'

-header
    The FASTA header to display instead of the default

DESCRIPTION
This script takes a BLAST output file and a FASTA file as arguments, given after the '-blast' and '-fasta' options respectively. The BLAST output file should have been generated with your sequence of interest and the FASTA file supplied as an argument. Example: find-blast-matches.pl -blast BLAST_FILE -fasta FASTA_FILE

It parses through the BLAST file to check for high quality matches, which are then searched for in the FASTA file. The sequence may vary from you candidate sequence, hence the BLAST search prior.

The sequence from the FASTA file is then displayed to STDOUT. Optional arguments can be used, such as to extract the 5' or 3' region.

AUTHOR
Gabriel Abud - <gabriel.jabud-at-gmail.com>

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to the Bioperl mailing list. Your participation is much appreciated

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track of the bugs and their resolution. Bug reports can be submitted via email or the web:

  https://github.com/bioperl/bioperl-live/issues

EDIT HISTORY
2014-08-04 - Gabriel Abud
    First features added

DEPENDANCIES
Getopt::long, Pod::Usage, Bio::SearchIO, Bio::Seq, Bio::SeqIO, File::Basename